@media screen and (min-width:750px){
  .rb-finder{
    grid-template-columns:repeat(4,1fr) auto !important;
    max-width:1100px !important;
    padding:20px 24px !important;
  }
  .rb-finder select, .rb-finder input{
    height:44px !important; line-height:44px !important; font-size:13px !important;
  }
  .rb-finder .rb-btn{
    grid-column:auto !important; height:44px !important; padding:0 28px !important;
  }
}
